Subject: bug#31990: 26.1; Stuck in loop trying to send bug report

From: Robert Pluim <[email-masked]>
Date: Thu, 12 Jul 2018 10:04:18 +0200

Live System User <[email-masked]> writes:

> Robert Pluim <[email-masked]> writes:
>
>> Live System User <[email-masked]> writes:
>>>   I don't have and don't want that entry saved on disk.
>>
>> Which entry?
>
>   The emtire SMTP server entry.
>   
>>              Thereʼs no need to store the password, a .authinfo with
>> just
>>
>> machine my.mail.provider login myname port 465
>>
>> should be enough to get auth-source to prompt you for the password
>> straight after the SMTP server sends its capabilities (and this will
>> not cause the password to be stored on disk).
>
>   I have serveral emtries in my .authinfo.gpg -- most without a
>   password stored.
>
>   There are two 2 servers that I don't want ANY information about
>   stored on disk -- not even in an encrypted .authinfo.gpg file.

Then how do you expect emacs to know that for those 2 particular
servers it should prompt straight away? Or are you asking for a
generic 'if AUTH in capabilities then prompt username and password'
feature?

>   Previously, one used `smtpmail-auth-credentials' for this.

Which as Eli points out needed to be stored somewhere as well.

Regards

Robert